/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.clients.wsgen;

import junit.framework.Test;
import junit.framework.TestSuite;


/**
 * test case for WsGen
 */
public class F_Generate extends A_WsGen {

    public F_Generate(String name) {
        super(name);
    }
    
    public static Test suite() {
        return new TestSuite(F_Generate.class);
    }

    public void setUp() throws Exception {
        super.setUp();
    }

    public void tearDown() throws Exception {
        super.tearDown();
    }

    public void testWebappEndpointAlone() throws Exception {
        // TODO use Cmd to test WsGen call
        //String[] args = new String[] {"-help"};
        //WsGen.main(args);
    }

    public void testWsClientEjb() throws Exception {
        // TODO use Cmd to test WsGen call
        //String[] args = new String[] {"-help"};
        //WsGen.main(args);
    }

    public void testTimeEndpoint() throws Exception {
        // TODO use Cmd to test WsGen call
        //String[] args = new String[] {"-help"};
        //WsGen.main(args);
    }

    public static void main (String args[]) {
        String testtorun = null;
        // Get args
        for (int argn = 0; argn < args.length; argn++) {
            String s_arg = args[argn];
            if (s_arg.equals("-n")) {
                testtorun = args[++argn];
            }
        }
        if (testtorun == null) {
            junit.textui.TestRunner.run(suite());
        } else {
            junit.textui.TestRunner.run(new F_Generate(testtorun));
        }
    }

}
